%global _spectemplatedir %{_datadir}/rpmdevtools/%{_vendor}
%global ftcgtemplatedir %{_datadir}/fontconfig/templates
%global _fontbasedir            %{_datadir}/fonts
%global _fontconfig_masterdir   %{_sysconfdir}/fonts
%global _fontconfig_confdir     %{_sysconfdir}/fonts/conf.d
%global _fontconfig_templatedir %{_datadir}/fontconfig/conf.avail


Summary:   Build-stage rpm automation for fonts packages
Name:      fonts-rpm-macros
Version:   2.0.5
Release:   5%{?dist}
License:   GPLv3+
URL:       https://docs.fedoraproject.org/en-US/packaging-guidelines/FontsPolicy/
Source0:   https://pagure.io/fonts-rpm-macros/archive/%{version}/%{name}-%{version}.tar.gz
Patch5000: modfiy-value-of-macros.patch
Patch5001: change-hardcoded-vendor-name.patch

BuildArch: noarch
Requires:  fonts-srpm-macros = %{version}-%{release}
Requires:  fonts-filesystem  = %{version}-%{release}
Provides:  fontpackages-devel = %{version}-%{release}
Requires:  fontconfig uchardet
#Requires:  libappstream-glib
Requires:  python3-ruamel-yaml python3-lxml

%description
This package provides build-stage rpm automation to simplify the creation of
fonts packages.
It does not need to be included in the default build root: fonts-srpm-macros
will pull it in for fonts packages only.


%package -n fonts-srpm-macros
Summary:   Source-stage rpm automation for fonts packages
Requires:  system-rpm-config

%description -n fonts-srpm-macros
This package provides SRPM-stage rpm automation to simplify the creation of
fonts packages.
It limits itself to the automation subset required to create fonts SRPM
packages and needs to be included in the default build root.
The rest of the automation is provided by the fonts-rpm-macros package, that
fonts-srpm-macros will pull in for fonts packages only.


%package -n fonts-filesystem
Summary:   Directories used by font packages
License:   MIT
Provides:  fontpackages-filesystem = %{version}-%{release}

%description -n fonts-filesystem
This package contains the basic directory layout used by font packages,
including the correct permissions for the directories.


%package -n fonts-rpm-templates
Summary:   Example fonts packages rpm spec templates
License:   MIT
Requires:    fonts-rpm-macros = %{version}-%{release}
Supplements: fonts-rpm-macros = %{version}-%{release}

%description -n fonts-rpm-templates
This package contains documented rpm spec templates showcasing how to use the
macros provided by fonts-rpm-macros to create fonts packages.


%prep
%autosetup -p1
for template in templates/rpm/*\.spec ; do
  target=$(echo "${template}" | sed "s|^\(.*\)\.spec$|\1-bare.spec|g")
  grep -v '^%%dnl' "${template}" > "${target}"
  touch -r "${template}" "${target}"
done


%install
install -m 0755 -d  %{buildroot}%{_fontbasedir} %{buildroot}%{_fontconfig_masterdir} %{buildroot}%{_fontconfig_confdir} \
                    %{buildroot}%{_fontconfig_templatedir}

install -m 0755 -vd %{buildroot}%{_spectemplatedir}
install -m 0644 -vp templates/rpm/*spec %{buildroot}%{_spectemplatedir}
install -m 0755 -vd %{buildroot}%{ftcgtemplatedir}
install -m 0644 -vp templates/fontconfig/*{conf,txt} %{buildroot}%{ftcgtemplatedir}

install -m 0755 -vd %{buildroot}%{rpmmacrodir}
install -m 0644 -vp rpm/macros.d/macros.fonts-* %{buildroot}%{rpmmacrodir}
install -m 0755 -vd %{buildroot}%{_rpmluadir}/%{_vendor}/srpm
install -m 0644 -vp rpm/lua/srpm/*lua %{buildroot}%{_rpmluadir}/%{_vendor}/srpm
install -m 0755 -vd %{buildroot}%{_rpmluadir}/%{_vendor}/rpm
install -m 0644 -vp rpm/lua/rpm/*lua %{buildroot}%{_rpmluadir}/%{_vendor}/rpm

install -m 0755 -vd   %{buildroot}%{_bindir}
install -m 0755 -vp   bin/* %{buildroot}%{_bindir}


%files
%license LICENSE.txt
%{_bindir}/*
%{rpmmacrodir}/macros.fonts-rpm*
%{_rpmluadir}/%{_vendor}/rpm/*.lua


%files -n fonts-srpm-macros
%license LICENSE.txt
%doc     *.md changelog.txt
%{rpmmacrodir}/macros.fonts-srpm*
%{_rpmluadir}/%{_vendor}/srpm/*.lua


%files -n fonts-filesystem
%dir %{_datadir}/fontconfig
%dir %{_fontbasedir}
%dir %{_fontconfig_masterdir}
%dir %{_fontconfig_confdir}
%dir %{_fontconfig_templatedir}


%files -n fonts-rpm-templates
%license LICENSE-templates.txt
%doc     *.md changelog.txt
%{_spectemplatedir}/*.spec
%dir %{ftcgtemplatedir}
%doc %{ftcgtemplatedir}/*conf
%doc %{ftcgtemplatedir}/*txt


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.5-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.5-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.5-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 17 2022 cunshunxia <cunshunxia@tencent.com> - 2.0.5-2
- change hardcode vendor name to %{_vendor}

* Mon Oct 31 2022 rockerzhu <rockerzhu@tencent.com> - 2.0.5-1
- Initial build
